use log::info;
use regex::Regex;
use ropey::RopeSlice;
use tower_lsp::lsp_types::{Hover, Position};

use super::get_word_range_at_position;



/// 将 1'b1 翻译成 10进制
pub fn match_format_digit(line: &RopeSlice, pos: Position) -> Option<Hover> {
    let line_text = line.as_str().unwrap_or("");
    let regex = Regex::new(r"[0-9'bho]").unwrap();
    let digit_string = get_word_range_at_position(line, pos, regex);
    if digit_string.len() > 0 {
        info!("current digit: {}", digit_string);
    }

    None
}